Cant comliling the project

Hi
I’m really now to here, sorry if I asked a dumb question, I just got my ruvvitag and play around with it.
https://lab.ruuvi.com/ses/ this is what I’m currently doing, but I’m having issue with compiling it.


Can anyone help?
thanks,
Cindy

Hello Cindy,

You’ll need to install the nRF SDK (12.3, 15.0 or 15.2 depending on which codebase you’re on).
If you’re at the Ruuvi Firmware 3.x versions you should get both 15.0 and 15.2 and install them on the same level as project root.

Hi I think I did install the nRF SDK, but I’m not sure if that’s the same level you meant, I attached a screenshot. Please let me know if that’s the wrong level.

Capture1

Hello,

Level is good but you’re missing the 15.2 version

Hi
Thanks for you reply, I downloded both this time, but I still got the same error.

Capture6

would you mind tell me what I did wrong?

Cindy

Hello,

The mistake is actually in the instructions in our linked page, the submodules should be updated after checking out the version of firmware we’re working on.

Please run git submodule update --init --recursive and let me know how it goes, I’ll fix the instructions

Hi

Thanks for your help, it worked with the new instrusion.

Cindy

Hi
another question, do you know where I can find the BOM of ruuvitag? I only found schematics in GitHub.
Thanks,
Cindy

Hello,

We don’t have the exact BoM online, as the exact part numbers can vary somewhat as generic components are sourced from whichever supplier has stock. KiCAD should be able to export the BoM out of the schematic in csv format.